linux管理工具之setuptool

在纯命令模式中的Linux中,setup无疑是快捷配置网络,防火墙,系统服务等设置的图形小工具,但是在一些最小化安装的Linux操作系统中,此工具并没有安装。下面来介绍如何安装此工具。

一、最小化的linux系统(centos\redhat)默认都是没有安装setup图形小工具的,你输入setup命令会提示 command not found。

[root@a ~]# setupa
-bash: setupa: command not found

二、安装setuptool小工具。

[root@a ~]# yum -y install setuptool
已加载插件:fastestmirror
设置安装进程
Loading mirror speeds from cached hostfile
 * base: mirror.bit.edu.cn
 * extras: mirrors.aliyun.com
 * updates: mirrors.aliyun.com
解决依赖关系
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
The program yum-complete-transaction is found in the yum-utils package.
--> 执行事务检查
---> Package setuptool.x86_64 0:1.19.9-4.el6 will be 安装
--> 处理依赖关系 usermode,它被软件包 setuptool-1.19.9-4.el6.x86_64 需要
--> 执行事务检查
---> Package usermode.x86_64 0:1.102-3.el6 will be 安装
--> 完成依赖关系计算

依赖关系解决

=====================================================================================================
 软件包                  架构                 版本                          仓库                大小
=====================================================================================================
正在安装:
 setuptool               x86_64               1.19.9-4.el6                  base                59 k
为依赖而安装:
 usermode                x86_64               1.102-3.el6                   base               187 k

事务概要
=====================================================================================================
Install       2 Package(s)

总下载量:245 k
Installed size: 918 k
下载软件包:
(1/2): setuptool-1.19.9-4.el6.x86_64.rpm                                      |  59 kB     00:00     
(2/2): usermode-1.102-3.el6.x86_64.rpm                                        | 187 kB     00:00     
-----------------------------------------------------------------------------------------------------
总计                                                                 669 kB/s | 245 kB     00:00     
运行 rpm_check_debug 
执行事务测试
事务测试成功
执行事务
Warning: RPMDB altered outside of yum.
** Found 9 pre-existing rpmdb problem(s), 'yum check' output follows:
gnome-keyring-2.28.2-8.el6_3.x86_64 has missing requires of GConf2
gnome-keyring-2.28.2-8.el6_3.x86_64 has missing requires of libgconf-2.so.4()(64bit)
initscripts-9.03.53-1.el6.centos.x86_64 has missing requires of /sbin/ip
libcanberra-gtk2-0.22-3.el6.x86_64 has missing requires of GConf2
librsvg2-2.26.0-14.el6.x86_64 has missing requires of libgsf >= ('0', '1.6.0', None)
librsvg2-2.26.0-14.el6.x86_64 has missing requires of libgsf-1.so.114()(64bit)
notification-daemon-0.5.0-1.el6.x86_64 has missing requires of GConf2 >= ('0', '2.14', None)
notification-daemon-0.5.0-1.el6.x86_64 has missing requires of libgconf-2.so.4()(64bit)
polkit-0.96-11.el6.x86_64 has missing requires of ConsoleKit
  正在安装   : usermode-1.102-3.el6.x86_64                                                       1/2 
  正在安装   : setuptool-1.19.9-4.el6.x86_64                                                     2/2 
  Verifying  : setuptool-1.19.9-4.el6.x86_64                                                     1/2 
  Verifying  : usermode-1.102-3.el6.x86_64                                                       2/2 

已安装:
  setuptool.x86_64 0:1.19.9-4.el6                                                                    

作为依赖被安装:
  usermode.x86_64 0:1.102-3.el6                                                                      

完毕!

三、安装好之后执行setup命令发现什么工具都没有,因为这只是一个图形工具。我们需要用到的网络服务,防火墙,系统服务等需要另外再安装。

QQ截图20160818200833

四、安装我们需要的工具组件如 ntsysv(系统服务)system-config-networktui(网络服务)

[root@a ~]# yum -y install ntsysv system-config-network-tui system-config-securitylevel-tui
已加载插件:fastestmirror
设置安装进程
Loading mirror speeds from cached hostfile
 * base: mirror.bit.edu.cn
 * extras: mirrors.aliyun.com
 * updates: mirrors.aliyun.com
解决依赖关系
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
The program yum-complete-transaction is found in the yum-utils package.
--> 执行事务检查
---> Package ntsysv.x86_64 0:1.3.49.5-1.el6 will be 安装
---> Package system-config-firewall-tui.noarch 0:1.2.27-7.2.el6_6 will be 安装
--> 处理依赖关系 system-config-firewall-base = 1.2.27-7.2.el6_6,它被软件包 system-config-firewall-tui-1.2.27-7.2.el6_6.noarch 需要
---> Package system-config-network-tui.noarch 0:1.6.0.el6.3-4.el6 will be 安装
--> 处理依赖关系 python-iwlib,它被软件包 system-config-network-tui-1.6.0.el6.3-4.el6.noarch 需要
--> 处理依赖关系 python-ethtool,它被软件包 system-config-network-tui-1.6.0.el6.3-4.el6.noarch 需要
--> 执行事务检查
---> Package python-ethtool.x86_64 0:0.6-5.el6 will be 安装
--> 处理依赖关系 libnl.so.1()(64bit),它被软件包 python-ethtool-0.6-5.el6.x86_64 需要
---> Package python-iwlib.x86_64 0:0.1-1.2.el6 will be 安装
--> 处理依赖关系 wireless-tools >= 28-0.pre8.5,它被软件包 python-iwlib-0.1-1.2.el6.x86_64 需要
--> 处理依赖关系 libiw.so.29()(64bit),它被软件包 python-iwlib-0.1-1.2.el6.x86_64 需要
---> Package system-config-firewall-base.noarch 0:1.2.27-7.2.el6_6 will be 安装
--> 执行事务检查
---> Package libnl.x86_64 0:1.1.4-2.el6 will be 安装
---> Package wireless-tools.x86_64 1:29-6.el6 will be 安装
--> 处理依赖关系 crda,它被软件包 1:wireless-tools-29-6.el6.x86_64 需要
--> 执行事务检查
---> Package crda.x86_64 0:3.13_2015.10.22-3.el6 will be 安装
--> 处理依赖关系 iw,它被软件包 crda-3.13_2015.10.22-3.el6.x86_64 需要
--> 执行事务检查
---> Package iw.x86_64 0:4.1-1.el6 will be 安装
--> 完成依赖关系计算

依赖关系解决

============================================================================================================================================================================================================================================
 软件包                                                               架构                                            版本                                                              仓库                                           大小
============================================================================================================================================================================================================================================
正在安装:
 ntsysv                                                               x86_64                                          1.3.49.5-1.el6                                                    base                                           30 k
 system-config-firewall-tui                                           noarch                                          1.2.27-7.2.el6_6                                                  base                                           39 k
 system-config-network-tui                                            noarch                                          1.6.0.el6.3-4.el6                                                 base                                          1.2 M
为依赖而安装:
 crda                                                                 x86_64                                          3.13_2015.10.22-3.el6                                             base                                           31 k
 iw                                                                   x86_64                                          4.1-1.el6                                                         base                                           65 k
 libnl                                                                x86_64                                          1.1.4-2.el6                                                       base                                          121 k
 python-ethtool                                                       x86_64                                          0.6-5.el6                                                         base                                           31 k
 python-iwlib                                                         x86_64                                          0.1-1.2.el6                                                       base                                           14 k
 system-config-firewall-base                                          noarch                                          1.2.27-7.2.el6_6                                                  base                                          434 k
 wireless-tools                                                       x86_64                                          1:29-6.el6                                                        base                                           93 k

事务概要
============================================================================================================================================================================================================================================
Install      10 Package(s)

总下载量:2.1 M
Installed size: 8.1 M
下载软件包:
(1/10): crda-3.13_2015.10.22-3.el6.x86_64.rpm                                                                                                                                                                        |  31 kB     00:00     
(2/10): iw-4.1-1.el6.x86_64.rpm                                                                                                                                                                                      |  65 kB     00:00     
(3/10): libnl-1.1.4-2.el6.x86_64.rpm                                                                                                                                                                                 | 121 kB     00:00     
(4/10): ntsysv-1.3.49.5-1.el6.x86_64.rpm                                                                                                                                                                             |  30 kB     00:00     
(5/10): python-ethtool-0.6-5.el6.x86_64.rpm                                                                                                                                                                          |  31 kB     00:00     
(6/10): python-iwlib-0.1-1.2.el6.x86_64.rpm                                                                                                                                                                          |  14 kB     00:00     
(7/10): system-config-firewall-base-1.2.27-7.2.el6_6.noarch.rpm                                                                                                                                                      | 434 kB     00:00     
(8/10): system-config-firewall-tui-1.2.27-7.2.el6_6.noarch.rpm                                                                                                                                                       |  39 kB     00:00     
(9/10): system-config-network-tui-1.6.0.el6.3-4.el6.noarch.rpm                                                                                                                                                       | 1.2 MB     00:00     
(10/10): wireless-tools-29-6.el6.x86_64.rpm                                                                                                                                                                          |  93 kB     00:00     
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
总计                                                                                                                                                                                                        1.5 MB/s | 2.1 MB     00:01     
运行 rpm_check_debug 
执行事务测试
事务测试成功
执行事务
  正在安装   : libnl-1.1.4-2.el6.x86_64                                                                                                                                                                                                1/10 
  正在安装   : iw-4.1-1.el6.x86_64                                                                                                                                                                                                     2/10 
  正在安装   : crda-3.13_2015.10.22-3.el6.x86_64                                                                                                                                                                                       3/10 
  正在安装   : 1:wireless-tools-29-6.el6.x86_64                                                                                                                                                                                        4/10 
  正在安装   : python-iwlib-0.1-1.2.el6.x86_64                                                                                                                                                                                         5/10 
  正在安装   : python-ethtool-0.6-5.el6.x86_64                                                                                                                                                                                         6/10 
  正在安装   : system-config-firewall-base-1.2.27-7.2.el6_6.noarch                                                                                                                                                                     7/10 
  正在安装   : system-config-firewall-tui-1.2.27-7.2.el6_6.noarch                                                                                                                                                                      8/10 
  正在安装   : system-config-network-tui-1.6.0.el6.3-4.el6.noarch                                                                                                                                                                      9/10 
  正在安装   : ntsysv-1.3.49.5-1.el6.x86_64                                                                                                                                                                                           10/10 
  Verifying  : iw-4.1-1.el6.x86_64                                                                                                                                                                                                     1/10 
  Verifying  : ntsysv-1.3.49.5-1.el6.x86_64                                                                                                                                                                                            2/10 
  Verifying  : libnl-1.1.4-2.el6.x86_64                                                                                                                                                                                                3/10 
  Verifying  : python-iwlib-0.1-1.2.el6.x86_64                                                                                                                                                                                         4/10 
  Verifying  : system-config-firewall-base-1.2.27-7.2.el6_6.noarch                                                                                                                                                                     5/10 
  Verifying  : system-config-network-tui-1.6.0.el6.3-4.el6.noarch                                                                                                                                                                      6/10 
  Verifying  : 1:wireless-tools-29-6.el6.x86_64                                                                                                                                                                                        7/10 
  Verifying  : crda-3.13_2015.10.22-3.el6.x86_64                                                                                                                                                                                       8/10 
  Verifying  : system-config-firewall-tui-1.2.27-7.2.el6_6.noarch                                                                                                                                                                      9/10 
  Verifying  : python-ethtool-0.6-5.el6.x86_64                                                                                                                                                                                        10/10 

已安装:
  ntsysv.x86_64 0:1.3.49.5-1.el6                                 system-config-firewall-tui.noarch 0:1.2.27-7.2.el6_6                                 system-config-network-tui.noarch 0:1.6.0.el6.3-4.el6                                

作为依赖被安装:
  crda.x86_64 0:3.13_2015.10.22-3.el6     iw.x86_64 0:4.1-1.el6     libnl.x86_64 0:1.1.4-2.el6     python-ethtool.x86_64 0:0.6-5.el6     python-iwlib.x86_64 0:0.1-1.2.el6     system-config-firewall-base.noarch 0:1.2.27-7.2.el6_6    
  wireless-tools.x86_64 1:29-6.el6       

完毕!

五、再次运行setup之后你会发现常用的配置都安装上去了。当然如果你只需要部分的也可以只安装需要的也行

QQ截图20160818203445

 

 

二〇一六年八月十八日 20:35:09

 

点赞